<%
'This file includes customizable code that you may modify freely.  The board will use the SendMail function
'whenever it needs to send an email.  The board also calls the functions below when certain events occur,
'so you may use these functions as events to do more customization to your board.

Function SendMail(strHost, strFromName, strFromAddress, strTo, strSubject, strMessage)
Dim msMail
On Error Resume Next
'This function is provided so you can customize how e-mails are sent.  Do not change the parameters
'that are passed to the sendmail function.  You can customize how the actual function works, however,
'to fit your needs and your mail sender.  For even more security, you should probably rename this
'file and then change the INCLUDE statement in the main script file to use the new name.
'Both the popular AspEmail and regular CDONTS examples are provided.

	'When using AspEmail (http://www.aspemail.com):
	'Set msMail = Server.CreateObject("Persits.MailSender")
	'With msMail
	'	.Host = strHost
	'	.From = strFromAddress
	'	.FromName = strFromName
	'	.AddAddress strTo
	'	.Subject = strSubject
	'	.Body = strMessage
	'	.Send
	'End With
	
	'When using SA-SMTPMAIL (http://www.aspstudio.com)
	'Set msMail = Server.CreateObject("SoftArtisans.SMTPMail")
	'With msMail
	'	.RemoteHost = strHost
	'	.FromAddress = strFromAddress
	'	.FromName = strFromName
	'	.AddRecipient strTo
	'	.Subject = strSubject
	'	.BodyText = strMessage
	'	.Wordwrap = True
	'	If Not .SendMail Then
	'		SendMail = "Error sending email to " & strTo
	'	End If
	'End With
	
	'When using IIS's built in CDONTS object:
	Set msMail = CreateObject("CDONTS.NewMail")
	With msMail
		.BodyFormat = 0 'Set to 0 for HTML email, 1 for plain text.
		.MailFormat = 0 'Set to 0 for HTML email, 1 for plain text.
		strMessage = Replace(strMessage, vbCrLf, "<BR>") 'Converts line breaks to <BR> tags.
		.To = strTo
		.From = strFromAddress
		.Subject = strSubject
		.Body = strMessage
		.Send
	End With
	
	Set msMail = Nothing
	
	If Err.number Then
		SendMail = Err.Number & ": " & Err.Description
	End If

End Function

'----------------------------------------------------------------------------------------

Function tstBeforeDisplayPage(strDisplayPage)
'This event happens before every page is written to the client.  strDisplayPage contains the complete Page that is about to be written.
'This event happens right before all special Global tags are replaced, so if you insert any one of the special varibles in strDisplayPage,
'it will be correctly parsed before being written to the client.
'
'This function should NOT be removed if you are not using it, or it will generate a runtime error.

	'Do any string manipulation on strDisplayPage here.
	tstBeforeDisplayPage = strDisplayPage

End Function

'----------------------------------------------------------------------------------------

Function tstBeforeLogin(valUsername, valPassword)
'This event happens before the username and password are verified with the Toast database.  Use this event to verify the username/password
'with an external database as well.  This function must return True or False.  If False, the "tstlngLoginFailedError" will be shown to the client.

	'Do any external verification here.
	tstBeforeLogin = True

End Function

'----------------------------------------------------------------------------------------

Function tstAfterNewTopic(strTopicAuthor, strTopicSubject, strTopicMessage)
'This event happens immediately after a new topic is posted to the database.  It would be very simple to perhaps send the admin
'a mail informing him that someone has posted a new topic, or something similar.  It does not need to return anything.


End Function

'----------------------------------------------------------------------------------------

Function tstAfterNewReply(strReplyAuthor, strReplySubject, strReplyMessage)
'This event happens immediately after a new reply to a topic is posted to the database.  It would be very simple to perhaps send the admin
'a mail informing him that someone has posted a new reply, or something similar.  It does not need to return anything.


End Function
'----------------------------------------------------------------------------------------

Function tstAfterNewRegister(strMemberName, strMemberEmail)
'This event happens immediately after a new member registers on your board.  It would be very simple to perhaps send the admin
'a mail informing him that someone new has registered, or something similar.  It does not need to return anything.


End Function

%>

<!--

#########################################################################################
#  CUSTOM.ASP  --  Part of Toast Forums Message Board Solution                          #
#  Copyright (c) 2000 joshpainter.com.  All Rights Reserved.                            #
#  Version 1.0 PR 3 Build 5                                                             #
#                                                                                       #
#  This file may be modified, but may not be redistributed or sold without prior        #
#  written authorization from Josh Painter (joshpainter.com).  This copyright notice    #
#  must remain visible inside this file AT ALL TIMES.                                   #
#                                                                                       #
#########################################################################################

-->